Jump to content

List of software that doesn't support Windows 7


asdf2345
 Share

Recommended Posts


Posted (edited)
On 5/25/2022 at 3:26 PM, ivanbuto said:

So, latest OneDrive installer (22.089.0426.0003) will not work anymore even with the patch provided by @vxiiduu.

image.png.32bf81f1c5e2ec99c29dc172faab6191.png

Did you try @vxiiduu kernel extensions? There is a topic about that here.

Edited by xpandvistafan
Link to comment
Share on other sites

@xpandvistafan I tried vxiiduu's kernel extensions with it, and it made OneDrive install successfully, but OneDrive itself didn't work, it still requires SetThreadInformation, even if VxKex is enabled for OneDrive.exe.

Link to comment
Share on other sites

48 minutes ago, mina7601 said:

@xpandvistafan I tried vxiiduu's kernel extensions with it, and it made OneDrive install successfully, but OneDrive itself didn't work, it still requires SetThreadInformation, even if VxKex is enabled for OneDrive.exe.

That's interesting. I know VxKex does specifically support SetThreadInformation. Especially since it installed but it didn't run. Consider making an issue for it.

Link to comment
Share on other sites

Posted (edited)
9 hours ago, xpandvistafan said:

That's interesting. I know VxKex does specifically support SetThreadInformation. Especially since it installed but it didn't run. Consider making an issue for it.

I actually tested OneDrive version 22.099.0508.0001 (since it's the latest pre-release), a version which is rolling out. Interestingly enough, I only needed to enable VxKex (didn't require faking Windows version somehow) for the installer, and it installed, but it didn't run, because it required SetThreadInformation (even with VxKex enabled) as stated.

Then, later on, I tested OneDrive version 22.089.0426.0003 (the latest stable version @ivanbuto tested, as shown in the above screenshot on his post). I got the same error as @ivanbuto's, but I decided to enable VxKex for the installer. Fortunately, the "Entry Point Not Found" error is gone, but it said "Windows 10 or 11 is required". I, then faked Windows version to 10 and 11 (once with 10, and once with 11), but it still said "Windows 10 or 11 is required".

That said, I've made an issue for it nonetheless. Here it is if you are interested: https://github.com/vxiiduu/VxKex/issues/18

Edited by mina7601
Link to comment
Share on other sites

2 hours ago, mina7601 said:

I actually tested OneDrive version 22.099.0508.0001 (since it's the latest pre-release), a version which is rolling out. Interestingly enough, I only needed to enable VxKex (didn't require faking Windows version somehow) for the installer, and it installed, but it didn't run, because it required SetThreadInformation (even with VxKex enabled) as stated.

Then, later on, I tested OneDrive version 22.089.0426.0003 (the latest stable version @ivanbuto tested, as shown in the above screenshot on his post). I got the same error as @ivanbuto's, but I decided to enable VxKex for the installer. Fortunately, the "Entry Point Not Found" error is gone, but it said "Windows 10 or 11 is required". I, then faked Windows version to 10 and 11 (once with 10, and once with 11), but it still said "Windows 10 or 11 is required".

That said, I've made an issue for it nonetheless. Here it is if you are interested: https://github.com/vxiiduu/VxKex/issues/18

You used the latest version built from source? 0.0.0.2 has broken spoofing. The latest release from source includes a workaround to add onedrive support.

Link to comment
Share on other sites

13 hours ago, xpandvistafan said:

You used the latest version built from source? 0.0.0.2 has broken spoofing. The latest release from source includes a workaround to add onedrive support.

No, I use 0.0.0.2. I don't know how to build from source.

Link to comment
Share on other sites

1 hour ago, mina7601 said:

No, I use 0.0.0.2. I don't know how to build from source.

Onedrive support was added in the latest interim release. You need to build from source. You first need to install Visual Studio 2010. 

Link to comment
Share on other sites

Posted (edited)

Can this thread be used for software that unexpectedly added Windows 7 support when it didn't have any before? Because that's exactly what the latest EA Desktop patch just did, didn't try it myself yet but it should be working on Windows 7 now. Completely unexpected but glad EA isn't locking out older PCs from playing their games.

Source: https://trello.com/c/X6qTHmHA/391-updates-ea-app-version-1202165178

Edited by tyl0413
  • Like 1
Link to comment
Share on other sites

19 hours ago, tyl0413 said:

didn't try it myself yet but it should be working on Windows 7 now

Indeed, it's working. It even lets me log in to the app! I tested this on a Windows 7 vm:

win7ea.png

Link to comment
Share on other sites

19 hours ago, mina7601 said:

Indeed, it's working. It even lets me log in to the app! I tested this on a Windows 7 vm:

win7ea.png

I tried on my 7 VM and it just gave a generic installation failure.

  • Like 1
Link to comment
Share on other sites

Posted (edited)
7 hours ago, tyl0413 said:

I tried on my 7 VM and it just gave a generic installation failure.

I forgot to mention, that this was on a Win7 SP1 x64 VM, fully updated to January 2020. When I tried it without it being fully updated, I also got an installation error as you.

Edited by mina7601
  • Like 1
Link to comment
Share on other sites

Posted (edited)

I just read that CorelDraw 2022 is allegedly Win10 21H1 or higher only (https://kb.corel.com/en/128878)

EDIT: CorelDraw 2021 also only works on Win10, Win11

I haven't tested, so cannot confirm. I use the 2020 release (v22) on my PC, which is the last version to support Windows 7 according to Wikipdia, and I completely missed v2021 and installed v2022 on a friend's computer.

Edited by Darth Agnon
Link to comment
Share on other sites

  • 4 weeks later...

Another program that dropped support for Windows 7 as well as Windows 8.1 is the digital note taking app "Anki". If you use this app on your Windows 7/8 machine, version 2.1.49 was the last supported one. Starting with 2.1.50, only Windows 10/11 are supported. However, I tried unzipping any installing the latest one (2.1.54) on Windows 8.1, which strangly worked. You have to download the Qt5 installer, since the QT6 one will give you a missing plug-in error.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.


×
×
  • Create New...